Get all case templates
- Base URL
-
https://{kibana_url}
- GET /api/cases/templates
Returns a paginated list of case templates. Requires the Cases feature to be enabled in the space.
Query parameters
-
sortFieldenum · default: name -
Determines which field is used to sort the results.
-
Values:
templateIdnametemplateVersionownerdeletedAtauthorusageCountfieldCountlastUsedAtisDefaultisLatest -
searchstring -
An Elasticsearch simple_query_string query that filters the objects in the response.
-
Example:
Case title 1
Responses
Indicates a successful call.
-
templatesobject[]required -
deletedAtstring · format: date-timerequired nullable -
The date the template was soft-deleted, or null if active.
-
ownerstring · max length: 50required -
The owning solution (e.g. cases, observability, securitySolution).
-
tagsstring[] · max items: 200 -
The words and phrases that help categorize templates. It can be an empty array.